%define major		0
%define libname		%mklibname lzfse %{major}
%define develname	%mklibname -d lzfse

Summary:	Reference C implementation of the LZFSE compressor
Name:		lzfse
Version:	1.0
Release:	%mkrel 1
License:	BSD
Group:		Archiving/Compression
Source0:	https://github.com/lzfse/lzfse/archive/refs/tags/%{name}-%{version}.tar.gz
# fix .so version
Patch0:		lzfse-1.0-fix-so-version.patch
#
URL:		https://github.com/lzfse/lzfse
BuildRequires:	cmake >= 2.8.6

%description
A compressor based on a Lempel-Ziv style data algorithm using Finite
State Entropy coding. It targets similar compression rates at higher
compression and decompression speed compared to deflate using zlib.

%package -n %{libname}
Summary:	LZFSE library
Group:		System/Libraries

%description -n %{libname}
LZFSE library, about a Lempel-Ziv style data compression algorithm
using Finite State Entropy coding.

%package -n %{develname}
Summary:	Header files for the LZFSE library
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lzfse-devel = %{version}-%{release}

%description -n %{develname}
Header files for the LZFSE library.

%prep
%autosetup -n %{name}-%{name}-%{version}

%build
%cmake \
	-DMAJOR_VERSION:STRING=%{major} \
%cmake_build

%install
%cmake_install

%files
%doc LICENSE README.md
%{_bindir}/lzfse

%files -n %{libname}
%{_libdir}/liblzfse.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/lzfse.h
%{_libdir}/liblzfse.so



%changelog
* Sat Apr 02 2022 ghibo <ghibo> 1.0-1.mga9
+ Revision: 1840562
- imported package lzfse


* Sat Apr 02 2022 ghibo <ghibo> 1.0-1.mga9
- Import initial release, for qemu.
- Add patch to provide .so major version.
